"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EndPoint = exports.SubmissionStatus = exports.ProblemDifficulty = exports.ProblemStatus = exports.LangSlug = void 0;
var LangSlug;
(function (LangSlug) {
    LangSlug[LangSlug["cpp"] = 0] = "cpp";
    LangSlug[LangSlug["java"] = 1] = "java";
    LangSlug[LangSlug["python"] = 2] = "python";
    LangSlug[LangSlug["python3"] = 3] = "python3";
    LangSlug[LangSlug["c"] = 4] = "c";
    LangSlug[LangSlug["csharp"] = 5] = "csharp";
    LangSlug[LangSlug["javascript"] = 6] = "javascript";
    LangSlug[LangSlug["ruby"] = 7] = "ruby";
    LangSlug[LangSlug["swift"] = 8] = "swift";
    LangSlug[LangSlug["golang"] = 9] = "golang";
    LangSlug[LangSlug["scala"] = 10] = "scala";
    LangSlug[LangSlug["kotlin"] = 11] = "kotlin";
    LangSlug[LangSlug["rust"] = 12] = "rust";
    LangSlug[LangSlug["php"] = 13] = "php";
    LangSlug[LangSlug["typescript"] = 14] = "typescript";
    LangSlug[LangSlug["racket"] = 15] = "racket";
    LangSlug[LangSlug["erlang"] = 16] = "erlang";
    LangSlug[LangSlug["elixir"] = 17] = "elixir";
})(LangSlug = exports.LangSlug || (exports.LangSlug = {}));
var ProblemStatus;
(function (ProblemStatus) {
    ProblemStatus[ProblemStatus["Accept"] = 0] = "Accept";
    ProblemStatus[ProblemStatus["NotAccept"] = 1] = "NotAccept";
    ProblemStatus[ProblemStatus["NotStart"] = 2] = "NotStart";
})(ProblemStatus = exports.ProblemStatus || (exports.ProblemStatus = {}));
var ProblemDifficulty;
(function (ProblemDifficulty) {
    ProblemDifficulty[ProblemDifficulty["Easy"] = 0] = "Easy";
    ProblemDifficulty[ProblemDifficulty["Medium"] = 1] = "Medium";
    ProblemDifficulty[ProblemDifficulty["Hard"] = 2] = "Hard";
})(ProblemDifficulty = exports.ProblemDifficulty || (exports.ProblemDifficulty = {}));
var SubmissionStatus;
(function (SubmissionStatus) {
    SubmissionStatus[SubmissionStatus["Accepted"] = 0] = "Accepted";
    SubmissionStatus[SubmissionStatus["Compile Error"] = 1] = "Compile Error";
    SubmissionStatus[SubmissionStatus["Wrong Answer"] = 2] = "Wrong Answer";
    SubmissionStatus[SubmissionStatus["Time Limit Exceeded"] = 3] = "Time Limit Exceeded";
})(SubmissionStatus = exports.SubmissionStatus || (exports.SubmissionStatus = {}));
var EndPoint;
(function (EndPoint) {
    EndPoint[EndPoint["US"] = 0] = "US";
    EndPoint[EndPoint["CN"] = 1] = "CN";
})(EndPoint = exports.EndPoint || (exports.EndPoint = {}));
//# sourceMappingURL=interfaces.js.map